Suppression Groups
Search Suppression Entries
Search for specific email addresses within a suppression group using the AutoSend API.
POST
/
suppression-groups
/
entries
curl --request POST \
--url 'https://api.autosend.com/v1/suppression-groups/entries' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"groupId": "AB12C3",
"reason": "UNSUBSCRIBE",
"page": 1,
"limit": 20,
"startDate": "2026-01-01T00:00:00.000Z",
"endDate": "2026-03-01T00:00:00.000Z"
}'
import requests
response = requests.post(
"https://api.autosend.com/v1/suppression-groups/entries",
headers={
"Authorization": "Bearer <token>",
"Content-Type": "application/json",
},
json={
"groupId": "AB12C3",
"reason": "UNSUBSCRIBE",
"page": 1,
"limit": 20,
"startDate": "2026-01-01T00:00:00.000Z",
"endDate": "2026-03-01T00:00:00.000Z",
},
)
print(response.json())
const response = await fetch(
"https://api.autosend.com/v1/suppression-groups/entries",
{
method: "POST",
headers: {
Authorization: "Bearer <token>",
"Content-Type": "application/json",
},
body: JSON.stringify({
groupId: "AB12C3",
reason: "UNSUBSCRIBE",
page: 1,
limit: 20,
startDate: "2026-01-01T00:00:00.000Z",
endDate: "2026-03-01T00:00:00.000Z",
}),
}
);
const data = await response.json();
console.log(data);
<?php
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, "https://api.autosend.com/v1/suppression-groups/entries");
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_POST, true);
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode([
"groupId" => "AB12C3",
"reason" => "UNSUBSCRIBE",
"page" => 1,
"limit" => 20,
"startDate" => "2026-01-01T00:00:00.000Z",
"endDate" => "2026-03-01T00:00:00.000Z",
]));
curl_setopt($ch, CURLOPT_HTTPHEADER, [
"Authorization: Bearer <token>",
"Content-Type: application/json",
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;
package main
import (
"bytes"
"encoding/json"
"fmt"
"io"
"net/http"
)
func main() {
payload, _ := json.Marshal(map[string]interface{}{
"groupId": "AB12C3",
"reason": "UNSUBSCRIBE",
"page": 1,
"limit": 20,
"startDate": "2026-01-01T00:00:00.000Z",
"endDate": "2026-03-01T00:00:00.000Z",
})
req, _ := http.NewRequest("POST", "https://api.autosend.com/v1/suppression-groups/entries", bytes.NewBuffer(payload))
req.Header.Set("Authorization", "Bearer <token>")
req.Header.Set("Content-Type", "application/json")
client := &http.Client{}
resp, _ := client.Do(req)
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
fmt.Println(string(body))
}
import java.net.URI;
import java.net.http.*;
public class Main {
public static void main(String[] args) throws Exception {
String body = """
{
"groupId": "AB12C3",
"reason": "UNSUBSCRIBE",
"page": 1,
"limit": 20,
"startDate": "2026-01-01T00:00:00.000Z",
"endDate": "2026-03-01T00:00:00.000Z"
}
""";
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://api.autosend.com/v1/suppression-groups/entries"))
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.POST(HttpRequest.BodyPublishers.ofString(body))
.build();
HttpResponse<String> response = HttpClient.newHttpClient()
.send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
}
}
require "net/http"
require "uri"
require "json"
uri = URI("https://api.autosend.com/v1/suppression-groups/entries")
req = Net::HTTP::Post.new(uri)
req["Authorization"] = "Bearer <token>"
req["Content-Type"] = "application/json"
req.body = {
groupId: "AB12C3",
reason: "UNSUBSCRIBE",
page: 1,
limit: 20,
startDate: "2026-01-01T00:00:00.000Z",
endDate: "2026-03-01T00:00:00.000Z",
}.to_json
response = Net::HTTP.start(uri.host, uri.port, use_ssl: true) { |http| http.request(req) }
puts response.body
{
"success": true,
"data": {
"entries": [
{
"id": "69b28d3f806d99a2a35e4f1d",
"email": "[email protected]",
"groupId": "AB12C3",
"reason": "BOUNCE",
"createdAt": "2026-03-12T09:54:07.697Z",
"updatedAt": "2026-03-12T09:54:07.697Z"
},
{
"id": "69aff842806d99a2a3527a5e",
"email": "[email protected]",
"groupId": "AB12C3",
"reason": "BOUNCE",
"createdAt": "2026-03-10T10:53:54.327Z",
"updatedAt": "2026-03-10T10:53:54.327Z"
}
],
"pagination": {
"page": 1,
"limit": 20,
"total": 142,
"pages": 8
}
}
}
curl --request POST \
--url 'https://api.autosend.com/v1/suppression-groups/entries' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"groupId": "AB12C3",
"reason": "UNSUBSCRIBE",
"page": 1,
"limit": 20,
"startDate": "2026-01-01T00:00:00.000Z",
"endDate": "2026-03-01T00:00:00.000Z"
}'
import requests
response = requests.post(
"https://api.autosend.com/v1/suppression-groups/entries",
headers={
"Authorization": "Bearer <token>",
"Content-Type": "application/json",
},
json={
"groupId": "AB12C3",
"reason": "UNSUBSCRIBE",
"page": 1,
"limit": 20,
"startDate": "2026-01-01T00:00:00.000Z",
"endDate": "2026-03-01T00:00:00.000Z",
},
)
print(response.json())
const response = await fetch(
"https://api.autosend.com/v1/suppression-groups/entries",
{
method: "POST",
headers: {
Authorization: "Bearer <token>",
"Content-Type": "application/json",
},
body: JSON.stringify({
groupId: "AB12C3",
reason: "UNSUBSCRIBE",
page: 1,
limit: 20,
startDate: "2026-01-01T00:00:00.000Z",
endDate: "2026-03-01T00:00:00.000Z",
}),
}
);
const data = await response.json();
console.log(data);
<?php
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, "https://api.autosend.com/v1/suppression-groups/entries");
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_POST, true);
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode([
"groupId" => "AB12C3",
"reason" => "UNSUBSCRIBE",
"page" => 1,
"limit" => 20,
"startDate" => "2026-01-01T00:00:00.000Z",
"endDate" => "2026-03-01T00:00:00.000Z",
]));
curl_setopt($ch, CURLOPT_HTTPHEADER, [
"Authorization: Bearer <token>",
"Content-Type: application/json",
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;
package main
import (
"bytes"
"encoding/json"
"fmt"
"io"
"net/http"
)
func main() {
payload, _ := json.Marshal(map[string]interface{}{
"groupId": "AB12C3",
"reason": "UNSUBSCRIBE",
"page": 1,
"limit": 20,
"startDate": "2026-01-01T00:00:00.000Z",
"endDate": "2026-03-01T00:00:00.000Z",
})
req, _ := http.NewRequest("POST", "https://api.autosend.com/v1/suppression-groups/entries", bytes.NewBuffer(payload))
req.Header.Set("Authorization", "Bearer <token>")
req.Header.Set("Content-Type", "application/json")
client := &http.Client{}
resp, _ := client.Do(req)
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
fmt.Println(string(body))
}
import java.net.URI;
import java.net.http.*;
public class Main {
public static void main(String[] args) throws Exception {
String body = """
{
"groupId": "AB12C3",
"reason": "UNSUBSCRIBE",
"page": 1,
"limit": 20,
"startDate": "2026-01-01T00:00:00.000Z",
"endDate": "2026-03-01T00:00:00.000Z"
}
""";
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://api.autosend.com/v1/suppression-groups/entries"))
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.POST(HttpRequest.BodyPublishers.ofString(body))
.build();
HttpResponse<String> response = HttpClient.newHttpClient()
.send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
}
}
require "net/http"
require "uri"
require "json"
uri = URI("https://api.autosend.com/v1/suppression-groups/entries")
req = Net::HTTP::Post.new(uri)
req["Authorization"] = "Bearer <token>"
req["Content-Type"] = "application/json"
req.body = {
groupId: "AB12C3",
reason: "UNSUBSCRIBE",
page: 1,
limit: 20,
startDate: "2026-01-01T00:00:00.000Z",
endDate: "2026-03-01T00:00:00.000Z",
}.to_json
response = Net::HTTP.start(uri.host, uri.port, use_ssl: true) { |http| http.request(req) }
puts response.body
{
"success": true,
"data": {
"entries": [
{
"id": "69b28d3f806d99a2a35e4f1d",
"email": "[email protected]",
"groupId": "AB12C3",
"reason": "BOUNCE",
"createdAt": "2026-03-12T09:54:07.697Z",
"updatedAt": "2026-03-12T09:54:07.697Z"
},
{
"id": "69aff842806d99a2a3527a5e",
"email": "[email protected]",
"groupId": "AB12C3",
"reason": "BOUNCE",
"createdAt": "2026-03-10T10:53:54.327Z",
"updatedAt": "2026-03-10T10:53:54.327Z"
}
],
"pagination": {
"page": 1,
"limit": 20,
"total": 142,
"pages": 8
}
}
}
Authorizations
string | header
required
Bearer authentication header of the form Bearer
<token>, where <token> is your auth token.Body
string
Filter entries to a specific suppression group ID.
enum<string>
Filter entries by suppression reason. One of
UNSUBSCRIBE, BOUNCE, COMPLAINT, or MANUAL.integer
Page number for pagination. Must be
1 or greater. Defaults to 1.integer
Number of results per page. Must be between
1 and 100. Defaults to 20.string
Free-text search string matched against the email address or other entry fields.
string
ISO 8601 timestamp. Returns only entries created on or after this date.
string
ISO 8601 timestamp. Returns only entries created on or before this date.
string
Filter entries to a specific email address.
boolean
When
true, returns only entries belonging to global suppression groups.Response
Suppression entries retrieved successfullyboolean
Example:
trueobject
Show child attributes
Show child attributes
object[]
Array of suppression entries.
Show entry attributes
Show entry attributes
Was this page helpful?
⌘I
curl --request POST \
--url 'https://api.autosend.com/v1/suppression-groups/entries' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"groupId": "AB12C3",
"reason": "UNSUBSCRIBE",
"page": 1,
"limit": 20,
"startDate": "2026-01-01T00:00:00.000Z",
"endDate": "2026-03-01T00:00:00.000Z"
}'
import requests
response = requests.post(
"https://api.autosend.com/v1/suppression-groups/entries",
headers={
"Authorization": "Bearer <token>",
"Content-Type": "application/json",
},
json={
"groupId": "AB12C3",
"reason": "UNSUBSCRIBE",
"page": 1,
"limit": 20,
"startDate": "2026-01-01T00:00:00.000Z",
"endDate": "2026-03-01T00:00:00.000Z",
},
)
print(response.json())
const response = await fetch(
"https://api.autosend.com/v1/suppression-groups/entries",
{
method: "POST",
headers: {
Authorization: "Bearer <token>",
"Content-Type": "application/json",
},
body: JSON.stringify({
groupId: "AB12C3",
reason: "UNSUBSCRIBE",
page: 1,
limit: 20,
startDate: "2026-01-01T00:00:00.000Z",
endDate: "2026-03-01T00:00:00.000Z",
}),
}
);
const data = await response.json();
console.log(data);
<?php
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, "https://api.autosend.com/v1/suppression-groups/entries");
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_POST, true);
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode([
"groupId" => "AB12C3",
"reason" => "UNSUBSCRIBE",
"page" => 1,
"limit" => 20,
"startDate" => "2026-01-01T00:00:00.000Z",
"endDate" => "2026-03-01T00:00:00.000Z",
]));
curl_setopt($ch, CURLOPT_HTTPHEADER, [
"Authorization: Bearer <token>",
"Content-Type: application/json",
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;
package main
import (
"bytes"
"encoding/json"
"fmt"
"io"
"net/http"
)
func main() {
payload, _ := json.Marshal(map[string]interface{}{
"groupId": "AB12C3",
"reason": "UNSUBSCRIBE",
"page": 1,
"limit": 20,
"startDate": "2026-01-01T00:00:00.000Z",
"endDate": "2026-03-01T00:00:00.000Z",
})
req, _ := http.NewRequest("POST", "https://api.autosend.com/v1/suppression-groups/entries", bytes.NewBuffer(payload))
req.Header.Set("Authorization", "Bearer <token>")
req.Header.Set("Content-Type", "application/json")
client := &http.Client{}
resp, _ := client.Do(req)
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
fmt.Println(string(body))
}
import java.net.URI;
import java.net.http.*;
public class Main {
public static void main(String[] args) throws Exception {
String body = """
{
"groupId": "AB12C3",
"reason": "UNSUBSCRIBE",
"page": 1,
"limit": 20,
"startDate": "2026-01-01T00:00:00.000Z",
"endDate": "2026-03-01T00:00:00.000Z"
}
""";
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://api.autosend.com/v1/suppression-groups/entries"))
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.POST(HttpRequest.BodyPublishers.ofString(body))
.build();
HttpResponse<String> response = HttpClient.newHttpClient()
.send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
}
}
require "net/http"
require "uri"
require "json"
uri = URI("https://api.autosend.com/v1/suppression-groups/entries")
req = Net::HTTP::Post.new(uri)
req["Authorization"] = "Bearer <token>"
req["Content-Type"] = "application/json"
req.body = {
groupId: "AB12C3",
reason: "UNSUBSCRIBE",
page: 1,
limit: 20,
startDate: "2026-01-01T00:00:00.000Z",
endDate: "2026-03-01T00:00:00.000Z",
}.to_json
response = Net::HTTP.start(uri.host, uri.port, use_ssl: true) { |http| http.request(req) }
puts response.body
{
"success": true,
"data": {
"entries": [
{
"id": "69b28d3f806d99a2a35e4f1d",
"email": "[email protected]",
"groupId": "AB12C3",
"reason": "BOUNCE",
"createdAt": "2026-03-12T09:54:07.697Z",
"updatedAt": "2026-03-12T09:54:07.697Z"
},
{
"id": "69aff842806d99a2a3527a5e",
"email": "[email protected]",
"groupId": "AB12C3",
"reason": "BOUNCE",
"createdAt": "2026-03-10T10:53:54.327Z",
"updatedAt": "2026-03-10T10:53:54.327Z"
}
],
"pagination": {
"page": 1,
"limit": 20,
"total": 142,
"pages": 8
}
}
}